## GstVideoAggregator

GstVideoAggregator — Base class for video aggregators

## Types and Values

struct | GstVideoAggregator
struct | GstVideoAggregatorClass

## Description

VideoAggregator can accept AYUV, ARGB and BGRA video streams. For each of the requested sink pads it will compare the incoming geometry and framerate to define the output parameters. Indeed output video frames will have the geometry of the biggest incoming video stream and the framerate of the fastest incoming one.

VideoAggregator will do colorspace conversion.

Zorder for each input stream can be configured on the GstVideoAggregatorPad.

## Functions

## Types and Values

### struct GstVideoAggregator

    struct GstVideoAggregator {
      GstAggregator aggregator;

      /* Output caps */
      GstVideoInfo info;
    };

#### Members

GstAggregator `aggregator`; |  |
GstVideoInfo `info`; | The GstVideoInfo representing the currently set srcpad caps. |

### struct GstVideoAggregatorClass

    struct GstVideoAggregatorClass {
      gboolean           disable_frame_conversion;

      gboolean           (*update_info)               (GstVideoAggregator *  videoaggregator,
                                                       GstVideoInfo       *  info);
      GstFlowReturn      (*aggregate_frames)          (GstVideoAggregator *  videoaggregator,
                                                       GstBuffer          *  outbuffer);
      GstFlowReturn      (*get_output_buffer)         (GstVideoAggregator *  videoaggregator,
                                                       GstBuffer          ** outbuffer);
      gboolean           (*negotiated_caps)           (GstVideoAggregator *  videoaggregator,
                                                       GstCaps            *  caps);
    };

#### Members

gboolean `disable_frame_conversion`; | Optional. Allows subclasses to disable the frame colorspace conversion feature |
`update_info` () | Optional. Lets subclasses update the src GstVideoInfo representing the src pad caps before usage. |
`aggregate_frames` () | Lets subclasses aggregate frames that are ready. Subclasses should iterate the GstElement.sinkpads and use the already mapped GstVideoFrame from GstVideoAggregatorPad.aggregated_frame or directly use the GstBuffer from GstVideoAggregatorPad.buffer if it needs to map the buffer in a special way. The result of the aggregation should land in `outbuffer` . |
`get_output_buffer` () | Optional. Lets subclasses provide a GstBuffer to be used as `outbuffer` of the aggregate_frames vmethod. |
`negotiated_caps` () | Optional. Notifies subclasses what caps format has been negotiated |